Bug 11478 - Remove experimental given/when from Koha::SimpleMARC
Summary: Remove experimental given/when from Koha::SimpleMARC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Colin Campbell
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-06 11:50 UTC by Colin Campbell
Modified: 2014-12-07 20:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (1.50 KB, patch)
2014-01-06 12:00 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 11478 Replace experimental given/when keywords (1.56 KB, patch)
2014-02-18 06:00 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11478 Replace experimental given/when keywords (1.62 KB, patch)
2014-02-20 13:25 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2014-01-06 11:50:28 UTC
As of perl 5.18 the given when keywords are marked as experimental and produce compile time errors. Avoid the unnecessary error by reverting to an if/else
Comment 1 Colin Campbell 2014-01-06 12:00:11 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-02-18 06:00:57 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-02-18 14:33:05 UTC
Same as bug 11479 comment 3, it is for/when, not given/when.
Comment 4 Jonathan Druart 2014-02-20 13:25:59 UTC
Created attachment 25498 [details] [review]
Bug 11478 Replace experimental given/when keywords

The keywords given and when are flagged experimental
in perl 5.18 and subject to change
replace the construct by an if/elsif

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Galen Charlton 2014-02-20 15:58:15 UTC
Pushed to master.  Thanks, Colin!
Comment 6 Fridolin Somers 2014-05-21 07:34:25 UTC
Pushed to 3.14.x, will be in 3.14.07